<? session_start();
ini_set("display_errors",1);
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mazatlan');
include("../header_subnivel1_agente_aduanal.php");?>
<div align="justify" style="line-height:18px;margin-top:-20px; position:absolute;width: 960px; height:100% ">
<span style="color:#00AF4B">Registro de  BL &raquo;</span><br /><BR />
<?php

require_once("../comun/conexion3.php");
require_once("../comun/conex_ver.php");

require_once("../comun/actions.php");

require_once("../comun/funciones.php");

$link_impo=con_impo();$link=con_ver();

if(trim($_POST[email_2])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email_2];
}
if($email=='') {
	$email=$_GET[email];
}
function valorate($valor){
	$valor = trim(str_replace("'","\'",strtoupper($valor)));
	return $valor;
}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['booking']); //booking interteam
echo 'booking '.$txtbooking.'<br><br>';
//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

$txtreferencia= valorate($_POST['referencia']);
if($txtreferencia==''){
	$txtreferencia= valorate($_GET['REFERENCIA']);
	$txtshipper_file= $txtreferencia;
}
echo 'REFERENCIA '.$txtreferencia;


$cargo_vacio=$_POST['cargo_vacio'];
if($cargo_vacio == ""){$cargo_vacio = "0";}else{$cargo_vacio = "1";}


$txtfinaldestination=valorate($_POST['final_destination']);
$txtexport_reference=valorate($_POST['export_reference']);

$txtconsignee1=valorate($_POST['consignee1']);
$txtconsignee2= valorate($_POST['consignee2']);
$txtconsignee3=valorate($_POST['consignee3']);
$txtconsignee4 = valorate($_POST['consignee4']);
$txtconsignee5 = valorate($_POST['consignee5']);
$txtconsignee6 = valorate($_POST['consignee6']);

$txtnotify1=valorate($_POST['notify1']);
$txtnotify2= valorate($_POST['notify2']);
$txtnotify3=valorate($_POST['notify3']);
$txtnotify4 = valorate($_POST['notify4']);
$txtnotify5 = valorate($_POST['notify5']);
$txtnotify6 = valorate($_POST['notify6']);
$correo_agente_aduanal=valorate($_POST['correo_agente_aduanal']);
$txtshipper1=valorate($_POST['shipper1']);
$txtshipper2= valorate($_POST['shipper2']);
$txtshipper3=valorate($_POST['shipper3']);
$txtshipper4 = valorate($_POST['shipper4']);
$txtshipper5 = valorate($_POST['shipper5']);
$txtshipper6 = valorate($_POST['shipper6']);

# datos del articulo 23
$descripcion_espanol_articulo_23=valorate($_POST['descripcion_espanol_articulo_23']);
$tipo_mercancia_articulo_23= valorate($_POST['tipo_mercancia_articulo_23']);
$regimen_articulo_23=valorate($_POST['regimen_articulo_23']);
$factura_articulo_23 = valorate($_POST['factura_articulo_23']);
$imo_articulo_23 = valorate($_POST['imo_articulo_23']);
$un_articulo_23 = valorate($_POST['un_articulo_23']);
$transportista_articulo_23=valorate($_POST['transportista_articulo_23']);
$nombre_del_chofer_articulo_23= valorate($_POST['nombre_del_chofer_articulo_23']);
$no_licencia_articulo_23=valorate($_POST['no_licencia_articulo_23']);
$placas_articulo_23 = valorate($_POST['placas_articulo_23']);
$economico_articulo_23 = valorate($_POST['economico_articulo_23']);

# datos de detalle de la carga						
$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);

//$txtdescription=valorate($_POST['tratamiento_madera']).' - '.valorate($_POST['description']);
$tratamiento_madera=valorate($_POST['tratamiento_madera']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate(str_replace(',','',$_POST['gross_weight']));
$txtnet_weight = valorate(str_replace(',','',$_POST['net_weight']));

$txtvolume=valorate(str_replace(',','',$_POST['volume']));
$txtharmonized_code= valorate($_POST['harmonized_code']);
$txtams=valorate($_POST['ams']);

$correcciones= valorate($_POST['correcciones']);

$no_piezasimoh= valorate($_POST['no_piezasimom']);
$gross_weightimoh= valorate($_POST['gross_weightimom']);
$volumeimoh= valorate($_POST['volumeimom']);
$unimoh= valorate($_POST['unimom']);
$valimoh= valorate($_POST['valimom']);
$marksimoh= valorate($_POST['marksimom']);
$quantityimoh= valorate($_POST['quantityimom']);
$type_of_bulksimoh= valorate($_POST['type_of_bulksimom']);
$descriptionimoh= valorate($_POST['descriptionimom']);

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& END O LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE HBL LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

$h_txtbooking= valorate($_POST['h_booking']);
$h_txtreferencia= valorate($_POST['h_referencia']);

$h_txtconsignee1=valorate($_POST['h_consignee1']);
$h_txtconsignee2= valorate($_POST['h_consignee2']);
$h_txtconsignee3=valorate($_POST['h_consignee3']);
$h_txtconsignee4 = valorate($_POST['h_consignee4']);
$h_txtconsignee5 = valorate($_POST['h_consignee5']);
$h_txtconsignee6 = valorate($_POST['h_consignee6']);

$h_txtnotify1=valorate($_POST['h_notify1']);
$h_txtnotify2= valorate($_POST['h_notify2']);
$h_txtnotify3=valorate($_POST['h_notify3']);
$h_txtnotify4 = valorate($_POST['h_notify4']);
$h_txtnotify5 = valorate($_POST['h_notify5']);
$h_txtnotify6 = valorate($_POST['h_notify6']);
$h_correo_agente_aduanal=valorate($_POST['h_correo_agente_aduanal']);
$h_txtshipper1=valorate($_POST['h_shipper1']);
$h_txtshipper2= valorate($_POST['h_shipper2']);
$h_txtshipper3=valorate($_POST['h_shipper3']);
$h_txtshipper4 = valorate($_POST['h_shipper4']);
$h_txtshipper5 = valorate($_POST['h_shipper5']);
$h_txtshipper6 = valorate($_POST['h_shipper6']);

# datos del articulo 23 del hbl
$hdescripcion_espanol_articulo_23=valorate($_POST['hdescripcion_espanol_articulo_23']);
$htipo_mercancia_articulo_23= valorate($_POST['htipo_mercancia_articulo_23']);
$hregimen_articulo_23=valorate($_POST['hregimen_articulo_23']);
$hfactura_articulo_23 = valorate($_POST['hfactura_articulo_23']);
$himo_articulo_23 = valorate($_POST['himo_articulo_23']);
$hun_articulo_23 = valorate($_POST['hun_articulo_23']);
$htransportista_articulo_23=valorate($_POST['htransportista_articulo_23']);
$hnombre_del_chofer_articulo_23= valorate($_POST['hnombre_del_chofer_articulo_23']);
$hno_licencia_articulo_23=valorate($_POST['hno_licencia_articulo_23']);
$hplacas_articulo_23 = valorate($_POST['hplacas_articulo_23']);
$heconomico_articulo_23 = valorate($_POST['heconomico_articulo_23']);

# datos de detalle de la carga del hbl		
$h_txtmarks=valorate($_POST['h_marks']);
$h_txtquantity= valorate($_POST['h_quantity']);
$h_txtdescription=valorate($_POST['h_tratamiento_madera']).' - '.valorate($_POST['h_description']);
 
$h_txtno_piezas = valorate($_POST['h_no_piezas']);
$h_txtgross_weight = valorate($_POST['h_gross_weight']);
$h_txtnet_weight = valorate($_POST['h_net_weight']);

$h_txtvolume=valorate($_POST['h_volume']);
$h_txtharmonized_code= valorate($_POST['h_harmonized_code']);
$h_txtams=valorate($_POST['h_ams']);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& FIN DE &&&&&&&& LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);

 
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE MBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$id_mbl = $_GET[id];
if($id_mbl=='' or $id_mbl=='0'){
	$id_mblQ = data($link ,"select idhbl from hblexpint where booking like '".trim($txtbooking)."' and tipo = 'MBL' ");
	$id_mbl = $id_mblQ[0];

	//EXIT020413-CTG

}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& DATOS PARA ENVIAR EL CORREO &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$boundary = "-----=" . md5( uniqid ( rand() ) ); 
$mailheader= "MIME-Version: 1.0\n"; 
$mailheader.= "Content-Type: multipart/alternative; boundary=\"$boundary\""; 
$mailheader.= "nX-Sender: lpv.doc@lpver.com \nFrom: lpv.doc@lpver.com \nReply-To: lpv.doc@lpver.com \nX-MSMail-Priority: High \nContent-type: text/html" ;

$recibe='lpv.doc@lpver.com';   
//,andres.tovar@interteam.com.mx
$recibe.=(trim($email)!='' ? ','.strtolower($email) : '');

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& FIN DE DATOS PARA ENVIAR EL CORREO &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&			

// DATOS DE LA PERSONA QUE REGISTRO EL MASTER BL
		 
 
mysqli_query($link_impo,"update detailcargaexpint set harmonized_code='$txtharmonized_code' where bookingno = 'BKG".substr($bkg,10,strlen($txtbooking))."'  ");
mysqli_query($link_impo,"update bookingexpint set harmonized_code='$txtharmonized_code' where booking  = '".$txtbooking."'  ");
 
if(trim($txtreferencia)==''){
	$fi=busquedaB($link_impo,"select files where bookingexpint where booking_interteam = '".$txtbooking."' and booking<>''","files");
	
	if(trim($fi)!='') {$txtreferencia = busquedaB($link_impo,"select referencia_interteam from datosexpint where files = '".$fi."' ","referencia_interteam");}
}
 
		$datos_aa = data($link_impo,"SELECT A.*,C.nombre_contacto,C.telefono_contacto FROM `agentes_aduanales` A 
		INNER JOIN contactos_agentes_aduanales C
		on A.patente=C.patente and C.email_contacto = '".strtolower($email)."' ");

		$agente_aduanal  = $datos_aa[nombre_agente_aduanal];
		$nombre_empresa  = $datos_aa[nombre_empresa];
		$nombre_contacto  = $datos_aa[nombre_contacto];
		$telefono_contacto  = $datos_aa[telefono_contacto];

 
  $registr =   mysqli_query($link ,"select registrado_por from hblexpint where tipo='MBL' and registrado_por <> '".$email."' and booking='".$txtbooking."' ");
 
  if(mysqli_num_rows($registr)>0){
	  echo "<br>El booking ya tiene master bl registrado, no podra guardar los cambios<br>";
	  
	  echo '<a style="color:#00AF4B; text-decoration:underline" href="registro_bl.php?booking='.$txtbooking.'">Regresar</a>';
	return;  
  }
	  
	  
if($id_mbl!='' and $id_mbl!='0'){ 
	mysqli_query($link, "update hblexpint set shipper='$txtshipper1', shipper2='$txtshipper2', shipper3='$txtshipper3',shipper4='$txtshipper4',
				shipper5='$txtshipper5',shipper6='$txtshipper6',consignee='$txtconsignee1',consignee2='$txtconsignee2', 
				consignee3='$txtconsignee3',consignee4='$txtconsignee4', consignee5='$txtconsignee5', consignee6='$txtconsignee6', 
			    notify='$txtnotify1',notify2='$txtnotify2', notify3='$txtnotify3', notify4='$txtnotify4', notify5='$txtnotify5', 
				notify6 = '$txtnotify6',shipper_file = '$txtshipper_file',
				cargo_vacio='".$cargo_vacio."',booking='$txtbooking',
				descripcion_espanol_articulo_23 = '$descripcion_espanol_articulo_23',tipo_mercancia_articulo_23='$tipo_mercancia_articulo_23',
				regimen_articulo_23 = '$regimen_articulo_23',factura_articulo_23 = '$factura_articulo_23',imo_articulo_23 = '$imo_articulo_23',
				un_articulo_23 = '$un_articulo_23',transportista_articulo_23 = '$transportista_articulo_23',
				nombre_del_chofer_articulo_23 = '$nombre_del_chofer_articulo_23',no_licencia_articulo_23 = '$no_licencia_articulo_23',
				placas_articulo_23 = '$placas_articulo_23',economico_articulo_23 = '$economico_articulo_23',
				referencia = '$txtreferencia',finaldestination='$txtfinaldestination',export_reference='$txtexport_reference',
				correo_agente_aduanal = '$correo_agente_aduanal'
				where idhbl='".$id_mbl."' ");

//$descarga='DESCARGUE SU BL EN: https:  / /mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'<br><br>';
	
$NOCARGO=0;	
if(mysqli_affected_rows($link)>0){
			mysqli_query($link,"update hblexpint set status = 'REVISANDO' where idhbl='".$id_mbl."' ");
			$NOCARGO=1;			
}
				 
				$txtdescription= valorate($_POST['description']);
				
					 

 			    mysqli_query($link,"update detailcargaexpint set 
				`bulk` = '$txtquantity', `type_of_bulks` = '$txttype_of_bulks',`number_of_pieces` = '$txtno_piezas', `cargo` = '$txtdescription', `weight` = '$txtgross_weight',
				`measurement` = '$txtvolume', `markandnos` = '$txtmarks', `netweight` = '$txtnet_weight',
				`harmonized_code`='$txtharmonized_code',`ams`='$txtams',
				`largo`='$largo',`ancho`='$ancho',`alto`='$alto',bookingno='$txtbooking',
				correcciones = '$correcciones', no_piezasimoh = '$no_piezasimoh', gross_weightimoh = '$gross_weightimoh', 
				volumeimoh = '$volumeimoh', unimoh = '$unimoh', valimoh = '$valimoh', marksimoh = '$marksimoh', quantityimoh = '$quantityimoh',
				type_of_bulksimoh = '$type_of_bulksimoh', descriptionimoh = '$descriptionimoh' 
				where id_bl = '".$id_mbl."'  ");
				if(strlen($no_piezasimoh) > 0){
				mysqli_query($link,"update detailcargaexpint set usuario_imo = '$_SESSION[nombre_usuario]', fecha_registro = '".date("Y-m-d H:i:s")."' where id_bl = '".$id_mbl."'");}

$CARGO=0;			
if(mysqli_affected_rows()>0){
	mysqli_query($link,"update hblexpint set status = 'REVISANDO' where idhbl='".$id_mbl."' ");
			$CARGO=1;
}

			if($CARGO==1 and $NOCARGO==1){
						$subject='UPDATE DE MBL '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE EL SIGUIENTE <B><U>MASTER BL Y SU CARGO</U> DE ID '.$id_mbl.' HA SIDO ACTUALIZADO, CORRESPONDE AL BOOKING '.$txtbooking.'</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
						
						REGISTRADO POR: '.$email.'<BR> 
						AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
						AGENTE ADUANAL: '.$agente_aduanal.'<BR />
						NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
						TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
							
						GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
							
						LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
			if(strpos(strtolower($recibe),'dbschenker')===false ){
						mail($recibe,$subject,$mailtext,$mailheader);
			}
			}else{
					if($NOCARGO==1){
						$subject='UPDATE DE MBL '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE EL SIGUIENTE <B>MASTER BL DE ID '.$id_mbl.' HA SIDO ACTUALIZADO, CORRESPONDE AL BOOKING '.$txtbooking.'</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
						
						REGISTRADO POR: '.$email.'<BR> 
						AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
						AGENTE ADUANAL: '.$agente_aduanal.'<BR />
						NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
						TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
							
						GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
							
						LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
			if(strpos(strtolower($recibe),'dbschenker')===false ){
						mail($recibe,$subject,$mailtext,$mailheader); 
			}
					}
					
					if($CARGO==1){
						$subject='UPDATE DE CARGO MBL '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE EL SIGUIENTE <B>CARGO DEL MASTER BL DE ID '.$id_mbl.' HA SIDO ACTUALIZADO, CORRESPONDE AL BOOKING '.$txtbooking.'</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
						
						REGISTRADO POR: '.$email.'<BR> 
						AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
						AGENTE ADUANAL: '.$agente_aduanal.'<BR />
						NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
						TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
							
						GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
							
						LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
						if(strpos(strtolower($recibe),'dbschenker')===false ){
						mail($recibe,$subject,$mailtext,$mailheader);
						}
					}
			}
			
			

}else{
$email='';	
if(trim($_POST[email_2])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email_2];
}
if($email=='') {
	$email=$_GET[email];
}

if($email=='') {
	echo 'Se perdio la sesion, vuelva a iniciar sesion';
	header("Location: https://".$_SERVER["SERVER_NAME"]."/VER/agenteaduanal");
}
	
			mysqli_query($link,"insert into hblexpint (
						tipo,hbl, shipper, shipper2, shipper3, shipper4, shipper5, shipper6,
						consignee, consignee2, consignee3,consignee4, consignee5, consignee6, 
						notify,notify2, notify3, notify4, notify5, notify6,
						booking, referencia, fechaRegistro, status,shipper_file,registrado_por,tarja,cargo_vacio,
						`descripcion_espanol_articulo_23`, `tipo_mercancia_articulo_23`, `regimen_articulo_23`, `factura_articulo_23`, 
						`imo_articulo_23`, `un_articulo_23`, 
						`transportista_articulo_23`, `nombre_del_chofer_articulo_23`, `no_licencia_articulo_23`, 
						`placas_articulo_23`, `economico_articulo_23`,finaldestination,export_reference,correo_agente_aduanal) 
						values 	
			('MBL','$txthbl','$txtshipper1','$txtshipper2','$txtshipper3','$txtshipper4','$txtshipper5','$txtshipper6',
			'$txtconsignee1','$txtconsignee2','$txtconsignee3','$txtconsignee4','$txtconsignee5','$txtconsignee6',
			'$txtnotify1','$txtnotify2','$txtnotify3','$txtnotify4','$txtnotify5','$txtnotify6',
			'$txtbooking','$txtreferencia','".date("Y-m-d H:i:s")."','NUEVO','".$txtshipper_file."',
			'".strtolower($email)."','','".$cargo_vacio."','$descripcion_espanol_articulo_23','$tipo_mercancia_articulo_23',
			'$regimen_articulo_23','$factura_articulo_23','$imo_articulo_23','$un_articulo_23',
			'$transportista_articulo_23','$nombre_del_chofer_articulo_23','$no_licencia_articulo_23',
			'$placas_articulo_23','$economico_articulo_23','$txtfinaldestination','$txtexport_reference','$correo_agente_aduanal')"); //'".$_POST[email_2]."'
			
			echo mysqli_error($link);
			$id_mbl=mysqli_insert_id($link);
			
			//$descarga='DESCARGUE SU BL EN: https://  /pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'<br><br>';
			
			if(mysqli_affected_rows($link)>0){
				mysqli_query($link,"update hblexpint set status = 'NUEVO' where idhbl='".$id_mbl."' ");
							
				$subject='AVISO DE REGISTRO DE NUEVO MBL '.$txtbooking;
				$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">SE HA REGISTRADO EL SIGUIENTE <B>MASTER BL DE ID '.$id_mbl.', CORRESPONDE AL BOOKING '.$txtbooking.'</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><BR>
				
				REGISTRADO POR: '.$email.'<BR> 
                AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
                AGENTE ADUANAL: '.$agente_aduanal.'<BR />
                NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
                TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
				
				GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
				
				LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
				mail($recibe,$subject,$mailtext,$mailheader); 
			}
 
$txtdescription= valorate($_POST['description']);
			mysqli_query($link,"insert into detailcargaexpint (`tipo_bl`, `bookingno`, `bulk`,type_of_bulks, `number_of_pieces`, `cargo`, `weight`, 
			`measurement`, `markandnos`,  `id_bl`, `netweight`, `harmonized_code`, `ams`,largo,ancho,alto, no_piezasimoh, gross_weightimoh, volumeimoh, unimoh, valimoh, marksimoh, quantityimoh, type_of_bulksimoh, descriptionimoh, arc_dgd, usuario_imo ) values 	
			('MBL','$txtbooking','$txtquantity','$txttype_of_bulks','$txtno_piezas','$txtdescription',
			'$txtgross_weight','$txtvolume','$txtmarks','$id_mbl','$txtnet_weight','$txtharmonized_code','$txtams','$largo','$ancho','$alto','$no_piezasimoh','$gross_weightimoh','$volumeimoh','$unimoh','$valimoh','$marksimoh','$quantityimoh','$type_of_bulksimoh','$descriptionimoh','', ' ' )");

			$id_inserted=mysqli_insert_id($link);
			mysqli_query($link,"update detailcargaexpint set correcciones = '$correcciones' where id = $id_inserted");			
			if(strlen($no_piezasimoh) > 0){
			mysqli_query($link,"update detailcargaexpint set usuario_imo = '$_SESSION[nombre_usuario]', fecha_registro = '".date("Y-m-d H:i:s")."' where id = $id_inserted");}
}

 

?> 
<?
if(trim($_POST[email_2])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email_2];
}
?>

Gracias por su registro: <?=$email?><br /><br />
MASTER BL guardado<br /> <br />

<?

if($email=='') {
	echo 'Se perdio la sesion, vuelva a iniciar sesion';
	header("Location: https://".$_SERVER["SERVER_NAME"]."/VER/agenteaduanal");
}
?>

<a style="color:#00AF4B; text-decoration:underline" href="registro_bl.php?booking=<?=$txtbooking?>">Regresar</a>